Fedora Core 3 : ruby-1.8.2-1.fc3.3 (2005-474)

High Nessus Plugin ID 18543


The remote Fedora Core host is missing a security update.


- Wed Jun 22 2005 Akira TAGOH <tagoh at redhat.com> - 1.8.2-1.fc3.3

- ruby-1.8.2-xmlrpc-CVE-2005-1992.patch: fixed the arbitrary command execution on XMLRPC server. (#161096)

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected packages.

See Also


Plugin Details

Severity: High

ID: 18543

File Name: fedora_2005-474.nasl

Version: $Revision: 1.12 $

Type: local

Agent: unix

Published: 2005/06/22

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:irb, p-cpe:/a:fedoraproject:fedora:rdoc, p-cpe:/a:fedoraproject:fedora:ri, p-cpe:/a:fedoraproject:fedora:ruby, p-cpe:/a:fedoraproject:fedora:ruby-debuginfo, p-cpe:/a:fedoraproject:fedora:ruby-devel, p-cpe:/a:fedoraproject:fedora:ruby-docs, p-cpe:/a:fedoraproject:fedora:ruby-libs, p-cpe:/a:fedoraproject:fedora:ruby-mode, p-cpe:/a:fedoraproject:fedora:ruby-tcltk, cpe:/o:fedoraproject:fedora_core:3

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2005/06/22

Reference Information

FEDORA: 2005-474